﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using FarPoint.Win.Chart;

namespace smoothline
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            LineSeries series = new LineSeries();

            series.SeriesName = "Series 0";

            series.Values.Add(0.1);

            series.Values.Add(0.3);

            series.Values.Add(0.7);

            series.Values.Add(1);
            series.Values.Add(1.2);
            series.Values.Add(0.3);
            series.Values.Add(0);

            series.SmoothedLine = true;
            YPlotArea plotArea = new YPlotArea();

            plotArea.Location = new PointF(0.2f, 0.2f);

            plotArea.Size = new SizeF(0.6f, 0.6f);

            plotArea.Series.Add(series);

            LabelArea label = new LabelArea();

            label.Text = "Bar Chart";

            label.Location = new PointF(0.5f, 0.02f);

            label.AlignmentX = 0.5f;

            label.AlignmentY = 0.0f;

            LegendArea legend = new LegendArea();

            legend.Location = new PointF(0.98f, 0.5f);

            legend.AlignmentX = 1.0f;

            legend.AlignmentY = 0.5f;

            ChartModel model = new ChartModel();

            model.LabelAreas.Add(label);

            model.LegendAreas.Add(legend);

            model.PlotAreas.Add(plotArea);

            fpChart1.Model = model;
        }
    }
}
